summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Iskar Enev2010-05-11 20:00:25 +0200
committer Robby Workman2010-05-11 20:00:25 +0200
commitd9f80c6332df1edc7a2dc6534e8bbf7677c4b4c0 (patch)
treeaca838061737425ee97c993490743ab78540896e /development
parent96e31449614f1da2fb9138b6928c34cffa4cf76c (diff)
downloadslackbuilds-d9f80c6332df1edc7a2dc6534e8bbf7677c4b4c0.tar.gz
development/intltool: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/intltool/README14
-rw-r--r--development/intltool/intltool.SlackBuild68
-rw-r--r--development/intltool/intltool.info8
-rw-r--r--development/intltool/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/development/intltool/README b/development/intltool/README
new file mode 100644
index 0000000000..73a23d9ef4
--- /dev/null
+++ b/development/intltool/README
@@ -0,0 +1,14 @@
+The intltool collection can be used to:
+
+-Extract translatable strings from various source files (.xml.in,
+ .glade, .desktop.in, .server.in, .oaf.in).
+-Collect the extracted strings together with messages from
+ traditional source files (.c, .h) in po/$(PACKAGE).pot.
+-Merge back the translations from .po files into .xml, .desktop and
+ .oaf files. This merge step will happen at build resp. installation
+ time.
+
+The intltool package has a script, intltoolize, which copies the various
+scripts and does the other magic to your module. So users building
+from tarballs don't need intltool, only folks building from cvs.
+(This is modelled on gettextize.)
diff --git a/development/intltool/intltool.SlackBuild b/development/intltool/intltool.SlackBuild
new file mode 100644
index 0000000000..eb88caad31
--- /dev/null
+++ b/development/intltool/intltool.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for intltool
+# Written by Iskar Enev <iskar.enev[@]gmail.com>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=intltool
+VERSION=0.36.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/*HOWTO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/intltool/intltool.info b/development/intltool/intltool.info
new file mode 100644
index 0000000000..6057f874f6
--- /dev/null
+++ b/development/intltool/intltool.info
@@ -0,0 +1,8 @@
+PRGNAM="intltool"
+VERSION="0.36.2"
+HOMEPAGE="ftp://ftp.gnome.org/pub/GNOME/sources/intltool/"
+DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/intltool/0.36/intltool-0.36.2.tar.bz2"
+MD5SUM="e41b8d791775fbd683784408f0e336a4"
+MAINTAINER="Iskar Enev"
+EMAIL="iskar.enev@gmail.com"
+APPROVED="rworkman"
diff --git a/development/intltool/slack-desc b/development/intltool/slack-desc
new file mode 100644
index 0000000000..cab93c0a06
--- /dev/null
+++ b/development/intltool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+intltool: intltool (internationalization tool)
+intltool:
+intltool: The intltool collection can be used to do these things:
+intltool: - Extract translatable strings from various source files
+intltool: (.xml.in, .glade, .desktop.in, .server.in, .oaf.in).
+intltool: - Collect the extracted strings together with messages from
+intltool: traditional source files (.c, .h) in po/$(PACKAGE).pot.
+intltool: - Merge back the translations from .po files into .xml, .desktop,
+intltool: and .oaf files. This merge step will happen at build
+intltool: installation time.
+intltool: